/*
 *      L I S T _ E n q u e u e
 *
 *  This function is called when it is required
 *  to insert a new node at the end of a list.
 *
 *
 * (c) Copyright 1996-1997 David J. Walker
 *     Email:  d.j.walker@x400.icl.co.uk
 *
 *     Permission to copy and/or distribute granted under the
 *     following conditions:
 *
 *     1). This notice must remain intact.
 *     2). The author is not responsible for the consequences of use
 *         this software, no matter how awful, even if they
 *         arise from defects in it.
 *     3). Altered version must not be represented as being the
 *         original software.
 *
 *
 *  AMENDMENT HISTORY
 *  ~~~~~~~~~~~~~~~~~
 *  22 May 96   DJW   - First version
 */


#include <liblist.h>
#include "liblistx.h"

int     LIST_Enqueue (list_t list, node_t newnode)
{
    LIBDEBUG ("LIST_Enqueue", \
            "'list' parameter is not a valid list pointer", \
            _LIST_ListCheck(list));

    return list->listclass->master->after (list, _LIST_REALNODE(list,newnode), NULL);
}

